import 'package:flutter/widgets.dart';
import 'package:gmalpha_flutter/NewMessageModel/NewMessageRouter.dart';
import 'package:gmalpha_flutter/NewMessageModel/page/MessagePage.dart';
import 'package:gmalpha_flutter/NewMessageModel/page/AttentionPage.dart';
import 'package:gmalpha_flutter/NewMessageModel/page/focusPage/FocusPage.dart';
import 'package:gmalpha_flutter/NewMessageModel/page/likePage/LikePage.dart';


class NewMessageRouterImpl implements NewMessageRouter {
  @override
  Widget getMessagePage(String fromPage) {
    return MessagePage(fromPage);
  }

  @override
  Widget getAttentionPage(String fromPage) {
    return AttentionPage(fromPage);
  }

  @override
  Widget getLikePage(String fromPage) {
    return LikePage(fromPage);
  }

  @override
  Widget getFocusPage(String fromPage) {
    return FocusPage(fromPage);
  }
}